Bug 129514

Summary: [CSS Shapes] CSS parser accepts trailing position arguments
Product: WebKit Reporter: Bear Travis <betravis>
Component: CSSAssignee: Bear Travis <betravis>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, gyuyoung.kim, macpherson, menard, rhauck, webkit-ews
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 124173    
Attachments:
Description Flags
Initial Patch none

Description Bear Travis 2014-02-28 16:08:26 PST
The shapes parsing code is accepting shapes like 'circle(at 10px 10px closest-side)', and dropping the last arguments after the position.

For example:
var el = document.createElement('div');
el.style.setProperty('-webkit-shape-outside', 'circle(at 10px 10px closest-side)');
console.log(el.style.getPropertyValue('-webkit-shape-outside'));

Logs 'circle(at 10px 10px)'
Comment 1 Bear Travis 2014-03-13 12:43:06 PDT
Created attachment 226614 [details]
Initial Patch

Port of patch originally authored by rwlbuis here https://codereview.chromium.org/191553003/
Comment 2 WebKit Commit Bot 2014-03-14 14:59:04 PDT
Comment on attachment 226614 [details]
Initial Patch

Clearing flags on attachment: 226614

Committed r165655: <http://trac.webkit.org/changeset/165655>
Comment 3 WebKit Commit Bot 2014-03-14 14:59:07 PDT
All reviewed patches have been landed.  Closing bug.